﻿<%@ Page Language="C#" AutoEventWireup="true" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<title>RadGrid Cell NoWrap</title>

<style type="text/css">

.NoWrapClass .GridRow_Default td,
.NoWrapClass .GridAltRow_Default td,
.tdiv{
	white-space:nowrap;
	overflow:hidden;
	text-overflow:ellipsis;
}

</style>

</head>
<body>
<form id="form1" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server" />

<telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="XmlDataSource1"
	AllowPaging="true" PageSize="30" Width="400px" AutoGenerateColumns="false"
	CssClass="NoWrapClass">
	<MasterTableView TableLayout="Fixed">
		<Columns>
			<telerik:GridTemplateColumn DataField="firstname" HeaderText="First Name"
			UniqueName="firstname">
				<ItemTemplate>
					<div class="tdiv">
						<%# Eval("firstname") %>
					</div>
				</ItemTemplate>
			</telerik:GridTemplateColumn>
			<telerik:GridTemplateColumn DataField="lastname" HeaderText="Last Name"
			UniqueName="lastname">
				<ItemTemplate>
					<div class="tdiv">
						<%# Eval("lastname") %>
					</div>
				</ItemTemplate>
			</telerik:GridTemplateColumn>
		</Columns>
    </MasterTableView>
	<ClientSettings EnableRowHoverStyle="true">
		<Scrolling AllowScroll="true" UseStaticHeaders="true" />
		<Selecting AllowRowSelect="true" />
	</ClientSettings>
</telerik:RadGrid>
<asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/student2.xml" />

</form>
</body>
</html>